﻿//-----------------------------------------------------------------------
// <copyright file="ProductStatuses.cs" company="Streetlight Technologies L.L.C.">
//    Copyright Streetlight Technologies L.L.C. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Streetlight.Store.DataAccess
{
    using System;
    using System.ComponentModel;

    /// <summary>
    /// Provides available Product status values
    /// </summary>
    public enum ProductStatuses
    {
        /// <summary>
        /// Value not set
        /// </summary>
        None,

        /// <summary>
        /// Current active product
        /// </summary>
        Active,

        /// <summary>
        /// Product on back order
        /// </summary>
        [Description("Back Ordered")]
        BackOrdered,

        /// <summary>
        /// Discontinued product
        /// </summary>
        Discontinued,

        /// <summary>
        /// Product not available
        /// </summary>
        Unavailable
    }
}
