/* Product.sql
 * Copyright Streetlight Technologies L.L.C. All rights reserved.
 */
CREATE TABLE dbo.Product
(
	[ProductId] int identity(1, 1), -- Primary Key
	[Name] varchar(MAX), -- Prouct name
	[Price] decimal(18,2), -- Price of product
	[PackagingTypeCode] varchar(50), -- Packaging type for shipping
	[GlobalId] varchar(MAX), -- Global Trade Item Number (GTID)
	[Manufacturer] varchar(MAX), -- Manufacturer's name
	[PartNumber] varchar(MAX), -- Manufacturer's part number
	[Weight] real, -- Weight of product
	[Description] varchar(MAX), -- Product description
	[StatusId] tinyint, -- Status ID
	[ItemNumber] varchar(MAX), -- Internal unique identifier
	[Length] real, -- Length of product
	[Width] real, -- Width of product
	[Height] real, -- Height of product
	CONSTRAINT Product_PK PRIMARY KEY CLUSTERED
	(
		ProductId
	)
)
go